> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/reports/sync/campaigns

> Returns a synchronous Campaigns Report



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/reports/sync/campaigns
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/reports/sync/campaigns:
    post:
      tags:
        - Analytics
      summary: /preview/retail-media/reports/sync/campaigns
      description: Returns a synchronous Campaigns Report
      operationId: GenerateSyncCampaignsReport
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SyncCampaignsReportRequest'
        required: true
        x-bodyName: request
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportResponse'
      security:
        - oauth:
            - RetailMedia_Analytics_Read
components:
  schemas:
    SyncCampaignsReportRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SyncCampaignsReportResource'
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value
    ReportResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ReportDataResponseResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
        meta:
          $ref: '#/components/schemas/ExportReportMetaData'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
      description: Report response format
    SyncCampaignsReportResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/SyncCampaignsReport'
        type:
          type: string
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value
    ReportDataResponseResource:
      type: object
      properties:
        attributes:
          type: array
          items:
            type: array
            items:
              type: object
          description: Data response format
          nullable: true
        type:
          type: string
          nullable: true
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    ExportReportMetaData:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/ExportReportColumn'
          nullable: true
        dataCompleteThrough:
          $ref: '#/components/schemas/DataCompleteThrough'
        rows:
          type: integer
          format: int32
          nullable: true
      description: >-
        Metadata for a report response: data freshness, column descriptions, and
        row count.
      nullable: true
    SyncCampaignsReport:
      required:
        - accountId
        - endDate
        - startDate
      type: object
      properties:
        accountId:
          type: string
          description: Account id to report on
        campaignIds:
          type: array
          items:
            type: string
          description: Campaign ids to filter
        campaignType:
          enum:
            - all
            - sponsoredProducts
            - onSiteDisplays
          type: string
          description: >-
            Filter the type of campaigns to report on: sponsoredProducts or
            onSiteDisplays
          default: all
        clickAttributionWindow:
          enum:
            - none
            - 7D
            - 14D
            - 30D
          type: string
          description: Click attribution window
          default: none
        dimensions:
          type: array
          items:
            enum:
              - date
              - hour
              - accountId
              - accountName
              - campaignId
              - campaignName
              - campaignTypeName
              - lineItemId
              - lineItemName
              - retailerId
              - retailerName
              - brandId
              - brandName
              - advProductCategory
              - advProductId
              - advProductName
              - salesChannel
              - environment
              - pageTypeName
              - pageCategory
              - servedCategory
              - taxonomyBreadcrumb
            type: string
          description: List of dimensions to report on
        endDate:
          type: string
          description: End date
          format: date-time
        metrics:
          type: array
          items:
            enum:
              - impressions
              - clicks
              - spend
              - attributedSales
              - attributedUnits
              - attributedOrders
              - assistedSales
              - assistedUnits
              - ctr
              - cpc
              - cpo
              - cpm
              - roas
              - uniqueVisitors
              - frequency
            type: string
          description: List of metrics to report on
        reportType:
          enum:
            - summary
            - pageType
            - productCategory
            - product
            - environment
            - servedCategory
          type: string
          description: >-
            Type of report, if no dimensions and metrics are provided, falls
            back to summary reportType
          default: summary
        salesChannel:
          enum:
            - online
            - offline
            - all
          type: string
          description: 'Filter on specific sales channel: offline or online'
          default: all
        startDate:
          type: string
          description: Start date
          format: date-time
        timezone:
          type: string
          description: 'Time zone : see criteo developer portal for supported time zones'
          default: UTC
        viewAttributionWindow:
          enum:
            - none
            - 1D
            - 7D
            - 14D
            - 30D
          type: string
          description: View attribution window
          default: none
      description: Campaigns report body request
    ExportReportColumn:
      required:
        - name
        - role
        - type
      type: object
      properties:
        currency:
          type: string
          description: Currency of the column
          nullable: true
        deprecated:
          type: boolean
          description: Flag for deprecated column
          nullable: true
        description:
          type: string
          description: Description of the exported column
          nullable: true
        duration:
          type: string
          description: Duration of the column
          nullable: true
        name:
          type: string
          description: Name of the exported column
        role:
          enum:
            - Dimension
            - Property
            - Interval
            - Metric
          type: string
          description: Role of the column
        timezone:
          type: string
          description: Timezone of the column
          nullable: true
        title:
          type: string
          description: Title of the exported column
          nullable: true
        type:
          enum:
            - Boolean
            - Number
            - Money
            - String
            - Date
            - DateTime
            - Interval
            - Duration
          type: string
          description: Type of the column
      description: Description of a column from an async report request
    DataCompleteThrough:
      type: object
      properties:
        dateTime:
          type: string
          description: >-
            The instant through which data is complete, in the format
            "yyyy-MM-dd HH:mm:ss" in
            Criteo.RetailMedia.Exam.Reporting.Resources.Models.Outputs.DataCompleteThrough.Timezone.
          nullable: true
        timezone:
          type: string
          description: >-
            IANA timezone for
            Criteo.RetailMedia.Exam.Reporting.Resources.Models.Outputs.DataCompleteThrough.DateTime
            (e.g. "UTC", "America/New_York"). Matches the query timezone.
          nullable: true
      description: >-
        Data freshness: the instant through which report data is complete,
        expressed in the report's request timezone.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````